#
# spec file for package vdr-plugin-epgsearch
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pluginname epgsearch
#

Name:           vdr-plugin-epgsearch
Version:        2.4.0
Release:        42.2
# https://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/
Source:         https://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/snapshot/vdr-plugin-epgsearch-%{version}.tar.gz
Patch0:         %pluginname-1.0.1.beta5-fix-bashisms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL-2.0-or-later
Group:          Hardware/TV
BuildRequires:  gcc-c++
BuildRequires:  groff
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            http://winni.vdr-developer.org/epgsearch/index_eng.html
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %version
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5

%description

%vdrname %pluginname plugin
%prep
%setup -q
%patch0 -p1
chmod 644 scripts/*
rm -f scripts/*~

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%license COPYING
%doc HISTORY HISTORY.DE MANUAL README README.DE README.Translators
%doc conf scripts
%{vdr_libdir}/*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/epgsearch
%attr(-,vdr,root) %config(noreplace) %{vdr_sysconfdir}/plugins/epgsearch/*
%{_bindir}/createcats
%doc /usr/share/man/de/man*/*
%doc /usr/share/man/man*/*

%changelog
* Sat Mar  2 2019 Stefan Seyfried <seife+obs@b1-systems.com>
- do not own /etc/vdr/plugins
* Wed Dec 26 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- update to version 2.4.0
* Thu Mar 22 2018 seife+obs@b1-systems.com
- update to current git master to fix build with vdr-2.3
- remove obsolete patches:
  - epgsearch-vdr-2.2.patch
  - epgsearch-gcc6.patch
* Fri Jun 17 2016 seife+obs@b1-systems.com
- add patch epgsearch-gcc6.patch to fix build with gcc 6
* Wed Mar  4 2015 seife+obs@b1-systems.com
- add patch epgsearch-vdr-2.2.patch to fix build with VDR 2.2
* Wed Nov 19 2014 Led <ledest@gmail.com>
- fix bashisms in scripts
- add patches:
  * epgsearch-1.0.1.beta5-fix-bashisms.patch
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid putting build time into locale files, causing republishing
* Sat Mar 29 2014 seife+obs@b1-systems.com
- upate to version 1.0.1.beta5
  * new Makefile style allows easier build
  * other changes and bugfixes, see HISTORY file
* Sun Dec 16 2012 seife+obs@b1-systems.com
- update to version 1.0.0, summary of most important changes:
  * supports vdr 1.6.0 to 1.7.21
  * avoid repeats with new "compare date"
  * new action "announce and switch"
  * many fixes and improvements, see HISTORY file
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-epgsearch off vdr-plugins
